質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.44%
Android

Androidは、Google社が開発したスマートフォンやタブレットなど携帯端末向けのプラットフォームです。 カーネル・ミドルウェア・ユーザーインターフェイス・ウェブブラウザ・電話帳などのアプリケーションやソフトウェアをひとつにまとめて構成。 カーネル・ライブラリ・ランタイムはほとんどがC言語/C++、アプリケーションなどはJavaSEのサブセットとAndroid環境で書かれています。

Gradle

Gradleは、ビルド自動化ツールです。 ソフトウェアパッケージやドキュメント、 または実際に何か他の種類のプロジェクトの構築、テスト、公開、展開などを自動化が出来ます

Android Studio

Android Studioは、 Google社によって開発された、 Androidのネイティブアプリケーション開発に特化した統合開発ツールです。

Kotlin

Kotlinは、ジェットブレインズ社のアンドリー・ブレスラフ、ドミトリー・ジェメロフが開発した、 静的型付けのオブジェクト指向プログラミング言語です。

Q&A

解決済

1回答

12062閲覧

Android Studioを起動してプロジェクトを作成したらいきなりエラーが発生しており実行できない

ehyai

総合スコア43

Android

Androidは、Google社が開発したスマートフォンやタブレットなど携帯端末向けのプラットフォームです。 カーネル・ミドルウェア・ユーザーインターフェイス・ウェブブラウザ・電話帳などのアプリケーションやソフトウェアをひとつにまとめて構成。 カーネル・ライブラリ・ランタイムはほとんどがC言語/C++、アプリケーションなどはJavaSEのサブセットとAndroid環境で書かれています。

Gradle

Gradleは、ビルド自動化ツールです。 ソフトウェアパッケージやドキュメント、 または実際に何か他の種類のプロジェクトの構築、テスト、公開、展開などを自動化が出来ます

Android Studio

Android Studioは、 Google社によって開発された、 Androidのネイティブアプリケーション開発に特化した統合開発ツールです。

Kotlin

Kotlinは、ジェットブレインズ社のアンドリー・ブレスラフ、ドミトリー・ジェメロフが開発した、 静的型付けのオブジェクト指向プログラミング言語です。

0グッド

0クリップ

投稿2021/06/25 15:43

編集2021/06/25 17:10

前提・実現したいこと

久しぶりにAndroid Studioを立ち上げてアプリケーションを作成したいと思い、プロジェクトを作成しました。
しかし、この段階ですでにエラーが発生している状態となっています。
このエラーを解決し、問題なく実行できるようになれるよう、アドバイスをいただけますでしょうか。

発生している問題・エラーメッセージ

以下の二種類のエラーが表示されています。

Run tasks
:app:mergeDebugResources

com.android.build.gradle.tasks.ResourceException: Error: java.util.concurrent.ExecutionException: com.android.builder.internal.aapt.v2.Aapt2Exception: AAPT2 error: check logs for details at com.android.build.gradle.tasks.MergeResources.doFullTaskAction(MergeResources.java:296) at com.android.build.gradle.internal.tasks.IncrementalTask.taskAction(IncrementalTask.java:106) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) (以下非常に長いため省略いたします)

Java compiler:

Error: java.util.concurrent.ExecutionException: com.android.builder.internal.aapt.v2.Aapt2Exception: AAPT2 error: check logs for details

試したこと

こちらのサイトを参考に、gradle.propertiesに「android.enableAapt2=false」を追加しました。
すると、エラーが以下のものに変わりました。
Run tasks
:app:processDebugResources
Execute taskAction

org.gradle.tooling.BuildException: Failed to process resources, see aapt output above for details. at com.android.build.gradle.internal.res.LinkApplicationAndroidResourcesTask.invokeAaptForSplit(LinkApplicationAndroidResourcesTask.java:512) at com.android.build.gradle.internal.res.LinkApplicationAndroidResourcesTask.doFullTaskAction(LinkApplicationAndroidResourcesTask.java:249) at com.android.build.gradle.internal.tasks.IncrementalTask.taskAction(IncrementalTask.java:106) (以下非常に長いため省略いたします)

Android issues:
../../../Users/(自分のユーザー名)/.gradle/caches/transforms-1/files-1.1/appcompat-v7-28.0.0.aar/80eacac522bd2690f0bf66846320d045/res/values/values.xml

Attribute "android:alpha" has already been defined Attribute "android:translationX" has already been defined Attribute "android:translationY" has already been defined Attribute "android:translationZ" has already been defined

追記
build.gradle(Project)のclasspathを、

classpath 'com.android.tools.build:gradle:3.2.0-alpha13'

と書き換えて、invalidate and restartを押してAndroid Studioを再起動させたところ、エラーが以下のものに変わりました。

Apply plugin com.android.application 108ms java.lang.RuntimeException: Minimum supported Gradle version is 4.6. Current version is 4.4. If using the gradle wrapper, try editing the distributionUrl in C:\Android\Android_Studio_Applications(プロジェクト名)\gradle\wrapper\gradle-wrapper.properties to gradle-4.6-all.zip at com.android.build.gradle.BasePlugin.checkGradleVersion(BasePlugin.java:706) at com.android.build.gradle.BasePlugin.apply(BasePlugin.java:255) at com.android.build.gradle.AbstractAppPlugin.apply(AbstractAppPlugin.java:127) at com.android.build.gradle.AppPlugin.apply(AppPlugin.java:46) at com.android.build.gradle.AppPlugin.apply(AppPlugin.java:38) at org.gradle.api.internal.plugins.ImperativeOnlyPluginTarget.applyImperative(ImperativeOnlyPluginTarget.java:42) at org.gradle.api.internal.plugins.RuleBasedPluginTarget.applyImperative(RuleBasedPluginTarget.java:50) at (以下非常に長いため省略いたします)

補足情報(FW/ツールのバージョンなど)

AndroidStudioのバージョン
Currenversion:3.1.4(build 173.4907809)
New version: 4.2.1(build 202.7660.26.42.7351085)
Patch size: 918MB

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答1

0

自己解決

上記の試したことを全て行った後、一度更新すると、
「The option ‘android.enableAapt2’ is deprecated and should not be used anymore.
Use ‘android.enableAapt2=true’ to remove this warning.
It will be removed at the end of 2018..」
というエラー文が表示されていました。
そのため、こちらのサイトを参考にして、「android.enableAapt2 = false」を「android.enableAapt2 = true」に変更したところ、エラーがなくなり実行できるようになりました。

投稿2021/06/25 20:13

ehyai

総合スコア43

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.44%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問